FROM ubuntu:18.04
RUN apt update && apt install -y python3 python3-pip python3-dev python3-sympy build-essential screen sudo psmisc gnuplot-nox
RUN pip3 install merklelib==1.0
RUN pip3 install pynacl==1.3.0

RUN mkdir /home/walkingo
WORKDIR /home/walkingo
RUN mkdir analysis

COPY wo_docker_start /usr/bin/
COPY client.py dirauth.py network.py relay.py simulator.py .screenrc ./
COPY analytical.py bytecounts.py parselogs.py plotdats.py analysis/

ENV SHELL=/bin/bash
CMD /usr/bin/wo_docker_start
